<?php
/**
 *
 * @file:RefundVerIiyReques.php
 * @Date: 2023/5/29
 * @Time: 16:12
 */


namespace Modules\OrderRefund\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class RefundVerIiyRequest extends FormRequest
{
    /**
     * rules
     *
     * @return array
     */
    public function rules(): array
    {
        return [
            'refund_id' => [ 'required', 'Integer', "gt:0", ],
            'status' => [ 'required','Integer', "in:1,2"]
        ];
    }

    /**
     * messages
     *
     * @return string[]
     */
    public function messages(): array
    {
        return [
            'refund_id.required' => '退款订单号必填',
            'refund_id' => '退款订单号不正确',
            'status' => '审核状态不正确',
        ];
    }

}
